GNU bug report logs - #16697
24.3.50; ERC scrolltobottom module does not work anymore

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ivan Kanis <ivan@HIDDEN>; merged with #11697, #14573; dated Sat, 8 Feb 2014 20:55:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16697 <at> debbugs.gnu.org:


Received: (at 16697) by debbugs.gnu.org; 4 Feb 2016 06:13:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 04 01:13:13 2016
Received: from localhost ([127.0.0.1]:58823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aRDAH-0005qa-Ob
	for submit <at> debbugs.gnu.org; Thu, 04 Feb 2016 01:13:13 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:42731)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>)
 id 1aRDAF-0005qQ-Cb; Thu, 04 Feb 2016 01:13:11 -0500
Received: from cpe-60-225-211-161.nsw.bigpond.net.au ([60.225.211.161]
 helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1aRD9s-0000EU-HE; Thu, 04 Feb 2016 07:12:49 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Ivan Kanis <ivan@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN> <83iosouryz.fsf@HIDDEN>
 <87iosm1xl8.fsf@HIDDEN> <83bnyetih6.fsf@HIDDEN>
 <87fvnqc8if.fsf@HIDDEN> <834n45txk7.fsf@HIDDEN>
 <874n45k1vi.fsf@HIDDEN>
 <CANdFEAHaS5a_9ZKE_YGX07155rjF5m-2ZmSCT2gxQ7EjMWwALg@HIDDEN>
 <3f38jpe2k5.fsf@HIDDEN> <87r478cffg.fsf@HIDDEN>
 <87lh8f8u0u.fsf@HIDDEN> <8737um75l9.fsf@HIDDEN>
Date: Thu, 04 Feb 2016 17:12:42 +1100
In-Reply-To: <8737um75l9.fsf@HIDDEN> (Ivan Kanis's message of "Mon, 28 Dec
 2015 20:09:38 +0100")
Message-ID: <87oabxypet.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aRD9s-0000EU-HE
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1455171169.57875@q67J95GNMB/Swp8UyDGefQ
X-Spam-Status: No
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16697
Cc: Glenn Morris <rgm@HIDDEN>, 11697 <at> debbugs.gnu.org, 16697 <at> debbugs.gnu.org,
 Josh <josh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Ivan Kanis <ivan@HIDDEN> writes:

> Hi Lars,
>
> The problem remains.

Ok, I've done some further reading of the many threads and references
here, and I'm still not quite sure what the bug is.  :-)

Do you have a recipe starting from emacs -Q that demonstrates what
happens, and could you describe what you wanted to have happen instead?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16697; Package emacs. Full text available.

Message received at 16697 <at> debbugs.gnu.org:


Received: (at 16697) by debbugs.gnu.org; 28 Dec 2015 19:11:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 28 14:11:24 2015
Received: from localhost ([127.0.0.1]:46715 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aDdCV-00089i-VZ
	for submit <at> debbugs.gnu.org; Mon, 28 Dec 2015 14:11:24 -0500
Received: from smtp.kanis.fr ([46.19.35.252]:48822)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <ivan@HIDDEN>)
 id 1aDdCU-00089S-5R; Mon, 28 Dec 2015 14:11:22 -0500
Received: from [176.152.90.105] (helo=tao)
 by smtp.kanis.fr with esmtpsa (TLS1.2:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.84) (envelope-from <ivan@HIDDEN>)
 id 1aDdCP-0008MN-Ee; Mon, 28 Dec 2015 20:11:17 +0100
From: Ivan Kanis <ivan@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN> <83iosouryz.fsf@HIDDEN>
 <87iosm1xl8.fsf@HIDDEN> <83bnyetih6.fsf@HIDDEN>
 <87fvnqc8if.fsf@HIDDEN> <834n45txk7.fsf@HIDDEN>
 <874n45k1vi.fsf@HIDDEN>
 <CANdFEAHaS5a_9ZKE_YGX07155rjF5m-2ZmSCT2gxQ7EjMWwALg@HIDDEN>
 <3f38jpe2k5.fsf@HIDDEN> <87r478cffg.fsf@HIDDEN>
 <87lh8f8u0u.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAAXNSR0IArs4c6QAAAB5QTFRF
 IBkXUxMTOCwoTC4qcUY8iFxQmmper31txpaJ/v/8aKZ1oAAAAcVJREFUOMt100tu2zAQAFDCXnUZ
 oAcIqG68LZULVLQBbwuSiffm6AIRRyeotAySJoVu2+FPpJWWC3/4NKOZocSW/yxWfnJ2+Bdwzhj7
 8gleWVy7DXC2rkMNr2V/zRbghXIwthf3VbIA9Ffc71vZCSFyCEsBggtNS8ludwvfmhYA0Vn9o4DP
 zMWxR7+cPWzAYFzwM0ModtdmcDbDS6i/hT7L+RZof5yCXGrYe5jn2YO6BYMjgY+51tCIAqHgBLwR
 pwLnGuRjAKyBJkuN4yd4U92uCY1vUr2D/c5b8DuxyQwfOHUeaLqDJhnkkuGXbB56h2C1IVBdgncc
 bBi6feroa9B6jUDojnQPQKupbyXyeeCE1oT7Oqrt+SnfY3mkiyGA/3AmD3H5g32CcBx6hY8pRkwJ
 9PpcjRGobUfprFnhAa1vepwcgMOhwG+pdSgKHFU9HAvoAH6XUl7lDUCCq5Qb6GMbVm3Aj++qDYCt
 wdBc/YHgOFCmS3mjDMRcSE2qY4E3Q3PVIQRQmeodNH4QEbRUFZzW+VotzwX4yTcRTySOML1qjcE5
 hTirVqDHkMAP0PjAywp3d18JZtqzvr9zDYD+GaSKtE6Zlr/DLPNFmOcvBAAAAABJRU5ErkJggg==
X-Hashcash: 1:20:151228:16697 <at> debbugs.gnu.org::YxVQJbAMPMa7LGLK:000000000000000000000000000000000000000001SP
X-Hashcash: 1:20:151228:larsi@HIDDEN::jCKAau9KWcKQznNR:0001Vbj
X-Hashcash: 1:20:151228:11697 <at> debbugs.gnu.org::8Of8eEnqYQsrkXOy:00000000000000000000000000000000000000001IbX
X-Hashcash: 1:20:151228:josh@HIDDEN::I/zh5xbiVF/vSrYN:058nf
X-Hashcash: 1:20:151228:rgm@HIDDEN::zYoa0PJdI+nWmHN4:000000GaNa
Date: Mon, 28 Dec 2015 20:11:16 +0100
In-Reply-To: <87lh8f8u0u.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 27 Dec 2015 22:24:17 +0100")
Message-ID: <87y4ce5qy3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16697
Cc: Glenn Morris <rgm@HIDDEN>, 11697 <at> debbugs.gnu.org, 16697 <at> debbugs.gnu.org,
 Josh <josh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

December, 27 at 22:24 Lars wrote:

> It's unclear what the conclusion of these bug reports were.  Was this
> fixed or does the problem remain?

I forgot to mention I am running on a recent master:

7e9da9f [8 weeks ago] ; Shorten TODO list in file-notify-tests.el
[Michael Albinus]

-- 
In this world nothing can be said to be certain,
except death and taxes.
    -- Benjamin Franklin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16697; Package emacs. Full text available.

Message received at 16697 <at> debbugs.gnu.org:


Received: (at 16697) by debbugs.gnu.org; 28 Dec 2015 19:09:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 28 14:09:49 2015
Received: from localhost ([127.0.0.1]:46708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aDdAz-00086o-C7
	for submit <at> debbugs.gnu.org; Mon, 28 Dec 2015 14:09:49 -0500
Received: from smtp.kanis.fr ([46.19.35.252]:48818)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <ivan@HIDDEN>)
 id 1aDdAy-00086Y-6V; Mon, 28 Dec 2015 14:09:48 -0500
Received: from [176.152.90.105] (helo=tao)
 by smtp.kanis.fr with esmtpsa (TLS1.2:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.84) (envelope-from <ivan@HIDDEN>)
 id 1aDdAr-0008Lw-SO; Mon, 28 Dec 2015 20:09:41 +0100
From: Ivan Kanis <ivan@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN> <83iosouryz.fsf@HIDDEN>
 <87iosm1xl8.fsf@HIDDEN> <83bnyetih6.fsf@HIDDEN>
 <87fvnqc8if.fsf@HIDDEN> <834n45txk7.fsf@HIDDEN>
 <874n45k1vi.fsf@HIDDEN>
 <CANdFEAHaS5a_9ZKE_YGX07155rjF5m-2ZmSCT2gxQ7EjMWwALg@HIDDEN>
 <3f38jpe2k5.fsf@HIDDEN> <87r478cffg.fsf@HIDDEN>
 <87lh8f8u0u.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAAXNSR0IArs4c6QAAAB5QTFRF
 IBkXUxMTOCwoTC4qcUY8iFxQmmper31txpaJ/v/8aKZ1oAAAAcVJREFUOMt100tu2zAQAFDCXnUZ
 oAcIqG68LZULVLQBbwuSiffm6AIRRyeotAySJoVu2+FPpJWWC3/4NKOZocSW/yxWfnJ2+Bdwzhj7
 8gleWVy7DXC2rkMNr2V/zRbghXIwthf3VbIA9Ffc71vZCSFyCEsBggtNS8ludwvfmhYA0Vn9o4DP
 zMWxR7+cPWzAYFzwM0ModtdmcDbDS6i/hT7L+RZof5yCXGrYe5jn2YO6BYMjgY+51tCIAqHgBLwR
 pwLnGuRjAKyBJkuN4yd4U92uCY1vUr2D/c5b8DuxyQwfOHUeaLqDJhnkkuGXbB56h2C1IVBdgncc
 bBi6feroa9B6jUDojnQPQKupbyXyeeCE1oT7Oqrt+SnfY3mkiyGA/3AmD3H5g32CcBx6hY8pRkwJ
 9PpcjRGobUfprFnhAa1vepwcgMOhwG+pdSgKHFU9HAvoAH6XUl7lDUCCq5Qb6GMbVm3Aj++qDYCt
 wdBc/YHgOFCmS3mjDMRcSE2qY4E3Q3PVIQRQmeodNH4QEbRUFZzW+VotzwX4yTcRTySOML1qjcE5
 hTirVqDHkMAP0PjAywp3d18JZtqzvr9zDYD+GaSKtE6Zlr/DLPNFmOcvBAAAAABJRU5ErkJggg==
X-Hashcash: 1:20:151228:16697 <at> debbugs.gnu.org::6xWVm7dH3t4rfHRs:00000000000000000000000000000000000000001ROp
X-Hashcash: 1:20:151228:josh@HIDDEN::StwBWU1imO9aAsQj:01k2Y
X-Hashcash: 1:20:151228:rgm@HIDDEN::/e7jsPCTNP8Gpc8+:0000003Gtk
X-Hashcash: 1:20:151228:larsi@HIDDEN::hg1eolL9BPdXh+KW:0005Ecv
X-Hashcash: 1:20:151228:11697 <at> debbugs.gnu.org::5XbpjZYK0kRvS++4:000000000000000000000000000000000000000079Kp
Date: Mon, 28 Dec 2015 20:09:38 +0100
In-Reply-To: <87lh8f8u0u.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 27 Dec 2015 22:24:17 +0100")
Message-ID: <8737um75l9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 16697
Cc: Glenn Morris <rgm@HIDDEN>, 11697 <at> debbugs.gnu.org, 16697 <at> debbugs.gnu.org,
 Josh <josh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi Lars,

The problem remains.

December, 27 at 22:24 Lars wrote:

> It's unclear what the conclusion of these bug reports were.  Was this
> fixed or does the problem remain?

-- 
At Group L, Stoffel oversees six first-rate programmers, a
managerial challenge roughly comparable to herding cats.
    -- Anonymous , 1985-06-09 , The Washington Post




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16697; Package emacs. Full text available.

Message received at 16697 <at> debbugs.gnu.org:


Received: (at 16697) by debbugs.gnu.org; 27 Dec 2015 21:24:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 27 16:24:42 2015
Received: from localhost ([127.0.0.1]:44986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aDIny-00047Q-19
	for submit <at> debbugs.gnu.org; Sun, 27 Dec 2015 16:24:42 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:57879)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>)
 id 1aDInw-00047E-5n; Sun, 27 Dec 2015 16:24:40 -0500
Received: from 2.150.58.24.tmi.telenormobil.no ([2.150.58.24] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1aDIna-00043M-65; Sun, 27 Dec 2015 22:24:18 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Ivan Kanis <ivan@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN> <83iosouryz.fsf@HIDDEN>
 <87iosm1xl8.fsf@HIDDEN> <83bnyetih6.fsf@HIDDEN>
 <87fvnqc8if.fsf@HIDDEN> <834n45txk7.fsf@HIDDEN>
 <874n45k1vi.fsf@HIDDEN>
 <CANdFEAHaS5a_9ZKE_YGX07155rjF5m-2ZmSCT2gxQ7EjMWwALg@HIDDEN>
 <3f38jpe2k5.fsf@HIDDEN> <87r478cffg.fsf@HIDDEN>
Date: Sun, 27 Dec 2015 22:24:17 +0100
In-Reply-To: <87r478cffg.fsf@HIDDEN> (Ivan Kanis's message of "Wed, 12
 Feb 2014 20:13:39 +0100")
Message-ID: <87lh8f8u0u.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aDIna-00043M-65
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1451856258.97627@+UZDNA46Oo4Hhe3Y/VwoMw
X-Spam-Status: No
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16697
Cc: Glenn Morris <rgm@HIDDEN>, 11697 <at> debbugs.gnu.org, 16697 <at> debbugs.gnu.org,
 Josh <josh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

It's unclear what the conclusion of these bug reports were.  Was this
fixed or does the problem remain?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16697; Package emacs. Full text available.
Forcibly Merged 11697 14573 16697. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 16697 <at> debbugs.gnu.org:


Received: (at 16697) by debbugs.gnu.org; 12 Feb 2014 19:13:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 12 14:13:50 2014
Received: from localhost ([127.0.0.1]:49232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WDfFm-0001zm-7v
	for submit <at> debbugs.gnu.org; Wed, 12 Feb 2014 14:13:50 -0500
Received: from kanis.fr ([46.19.35.252]:38558 helo=srv2.kanis.fr)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ivan@HIDDEN>) id 1WDfFj-0001zV-WA
 for 16697 <at> debbugs.gnu.org; Wed, 12 Feb 2014 14:13:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=kanis.fr;
 s=alpha; 
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:Subject:Cc:To:From;
 bh=JWCOyzXl0QF0aIRWFLHClN3OKayffN3lP/dEPgCw/0Q=; 
 b=EBA8IzbzRhfgNtZA3GVLpQ5QZQ91A8xe8nSUDy9BwqKvqrSjiB1lWEK98kh0Xygowj85rMxNqPKIv3gtaj4ePFBuPB+Vu9/6/9rlLtaY2O1IXjTh7+RvnxBPQ2/43iYL;
Received: from smtp.comencini.fr ([164.138.25.8])
 by smtp.comencini.fr with esmtpsa (TLS1.1:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.80.1) (envelope-from <ivan@HIDDEN>)
 id 1WDfFd-000414-GI; Wed, 12 Feb 2014 20:13:41 +0100
From: Ivan Kanis <ivan@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN> <83iosouryz.fsf@HIDDEN>
 <87iosm1xl8.fsf@HIDDEN> <83bnyetih6.fsf@HIDDEN>
 <87fvnqc8if.fsf@HIDDEN> <834n45txk7.fsf@HIDDEN>
 <874n45k1vi.fsf@HIDDEN>
 <CANdFEAHaS5a_9ZKE_YGX07155rjF5m-2ZmSCT2gxQ7EjMWwALg@HIDDEN>
 <3f38jpe2k5.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAAXNSR0IArs4c6QAAAB5QTFRF
 IBkXUxMTOCwoTC4qcUY8iFxQmmper31txpaJ/v/8aKZ1oAAAAcVJREFUOMt100tu2zAQAFDCXnUZ
 oAcIqG68LZULVLQBbwuSiffm6AIRRyeotAySJoVu2+FPpJWWC3/4NKOZocSW/yxWfnJ2+Bdwzhj7
 8gleWVy7DXC2rkMNr2V/zRbghXIwthf3VbIA9Ffc71vZCSFyCEsBggtNS8ludwvfmhYA0Vn9o4DP
 zMWxR7+cPWzAYFzwM0ModtdmcDbDS6i/hT7L+RZof5yCXGrYe5jn2YO6BYMjgY+51tCIAqHgBLwR
 pwLnGuRjAKyBJkuN4yd4U92uCY1vUr2D/c5b8DuxyQwfOHUeaLqDJhnkkuGXbB56h2C1IVBdgncc
 bBi6feroa9B6jUDojnQPQKupbyXyeeCE1oT7Oqrt+SnfY3mkiyGA/3AmD3H5g32CcBx6hY8pRkwJ
 9PpcjRGobUfprFnhAa1vepwcgMOhwG+pdSgKHFU9HAvoAH6XUl7lDUCCq5Qb6GMbVm3Aj++qDYCt
 wdBc/YHgOFCmS3mjDMRcSE2qY4E3Q3PVIQRQmeodNH4QEbRUFZzW+VotzwX4yTcRTySOML1qjcE5
 hTirVqDHkMAP0PjAywp3d18JZtqzvr9zDYD+GaSKtE6Zlr/DLPNFmOcvBAAAAABJRU5ErkJggg==
X-Hashcash: 1:20:140212:16697 <at> debbugs.gnu.org::8t2uqYRyatJq9WQ4:00000000000000000000000000000000000000001cxX
X-Hashcash: 1:20:140212:rgm@HIDDEN::3jZsBnEjg7aZz44I:0000001nMs
X-Hashcash: 1:20:140212:josh@HIDDEN::nWsq5XCfQ5aq1jCt:09VRc
Date: Wed, 12 Feb 2014 20:13:39 +0100
In-Reply-To: <3f38jpe2k5.fsf@HIDDEN> (Glenn Morris's message of
 "Tue, 11 Feb 2014 16:56:26 -0500")
Message-ID: <87r478cffg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 16697
Cc: Josh <josh@HIDDEN>, 16697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

February, 11 at 16:56 Glenn wrote:

> Josh wrote:
>
>> This was previously discussed at [0],
>
> Ie, http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11697
>
> which was closed by the opener of this current bug report,
> after he disconnected it from
>
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14573
>
> which is an identical duplicate of this current report.
>
> It's not clear to me what the logic is here.

Nor to me. I didn't get e-mail for #11697 because the author was not me.
I stated that #14573 was not a duplicate of #11967 for reasons I don't
remember. I closed #11697 but I can't recall why.

I apologize for being a flake and wasting people's time.

Ivan
-- 
Browser's cookie is corrupted. Someone's been nibbling on it.
    -- BOFH excuse #4




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16697; Package emacs. Full text available.
Merged 14573 16697. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 16697 <at> debbugs.gnu.org:


Received: (at 16697) by debbugs.gnu.org; 11 Feb 2014 21:56:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 11 16:56:30 2014
Received: from localhost ([127.0.0.1]:47922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WDLJe-0002T8-1U
	for submit <at> debbugs.gnu.org; Tue, 11 Feb 2014 16:56:30 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:54195 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1WDLJc-0002T0-5N
 for 16697 <at> debbugs.gnu.org; Tue, 11 Feb 2014 16:56:28 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1WDLJa-00015C-Qb; Tue, 11 Feb 2014 16:56:26 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Josh <josh@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN> <83iosouryz.fsf@HIDDEN>
 <87iosm1xl8.fsf@HIDDEN> <83bnyetih6.fsf@HIDDEN>
 <87fvnqc8if.fsf@HIDDEN> <834n45txk7.fsf@HIDDEN>
 <874n45k1vi.fsf@HIDDEN>
 <CANdFEAHaS5a_9ZKE_YGX07155rjF5m-2ZmSCT2gxQ7EjMWwALg@HIDDEN>
X-Spook: ISEC Noriega kibo Jiang Zemin Ermes eavesdropping infowar
X-Ran: dM[YJG;KcW\xJ^NFJOCr+K~p_KLmH3.,M^d^l6"OP|@s:``~H~1{hj:L5f7>bwjRU?1dMd
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 11 Feb 2014 16:56:26 -0500
In-Reply-To: <CANdFEAHaS5a_9ZKE_YGX07155rjF5m-2ZmSCT2gxQ7EjMWwALg@HIDDEN>
 (josh@HIDDEN's message of "Tue, 11 Feb 2014 13:44:13 -0800")
Message-ID: <3f38jpe2k5.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.7 (-----)
X-Debbugs-Envelope-To: 16697
Cc: Ivan Kanis <ivan@HIDDEN>, 16697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.7 (-----)

Josh wrote:

> This was previously discussed at [0],

Ie, http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11697

which was closed by the opener of this current bug report,
after he disconnected it from

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14573

which is an identical duplicate of this current report.

It's not clear to me what the logic is here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16697; Package emacs. Full text available.

Message received at 16697 <at> debbugs.gnu.org:


Received: (at 16697) by debbugs.gnu.org; 11 Feb 2014 21:44:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 11 16:44:53 2014
Received: from localhost ([127.0.0.1]:47917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WDL8O-00029o-FX
	for submit <at> debbugs.gnu.org; Tue, 11 Feb 2014 16:44:52 -0500
Received: from mail-yh0-f48.google.com ([209.85.213.48]:49789)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jlf@HIDDEN>) id 1WDL8M-00029W-01
 for 16697 <at> debbugs.gnu.org; Tue, 11 Feb 2014 16:44:50 -0500
Received: by mail-yh0-f48.google.com with SMTP id f10so7573295yha.35
 for <16697 <at> debbugs.gnu.org>; Tue, 11 Feb 2014 13:44:44 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc:content-type;
 bh=C1uYyIWs8gbVgqMV5F3KvfRbEk1Ks+lNwoQD1QhO1k0=;
 b=L8iMQ5adFG9WysrOYmnyhN+LN235hVnlyLCUvXp5yjTQIhA20OzoGtXNnVBOS/WqzX
 brPcGxEYhv6+e1Y6yNjMq5LPFRv+onAqBgSv5T5F/YPjNn15LaQZlQnl3vMLPhtlocfQ
 iZl4IaKhHFPHCTHfM5q0Gem69AEhEQ/H4uc4jX3+6nBbkSKfnUlgSMp8WbTWKVg3h9Ca
 r9b5qJ+TEzWBHrtClwJmgO/N7aoMUDxmvcAKIlM7NFS9a7IIZYrjIXErRZqqrBJIyaEW
 Z17oL9KNOM8kahUh6We6AFYyw0AMB04EpZRhFzlBNuNJM31ga3cx+Xy9U7OUjQn3KxP1
 N7fw==
X-Gm-Message-State: ALoCoQnXyDHiAZzRpZNKx/SUP2A+x7nNeAUMU/dMXVH0pL7jA8ZdgirFNWbM+RM1V7r76gf2oJGn
X-Received: by 10.236.21.244 with SMTP id r80mr4164346yhr.103.1392155084134;
 Tue, 11 Feb 2014 13:44:44 -0800 (PST)
MIME-Version: 1.0
Received: by 10.170.79.11 with HTTP; Tue, 11 Feb 2014 13:44:13 -0800 (PST)
In-Reply-To: <874n45k1vi.fsf@HIDDEN>
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN> <83iosouryz.fsf@HIDDEN>
 <87iosm1xl8.fsf@HIDDEN>
 <83bnyetih6.fsf@HIDDEN> <87fvnqc8if.fsf@HIDDEN>
 <834n45txk7.fsf@HIDDEN> <874n45k1vi.fsf@HIDDEN>
From: Josh <josh@HIDDEN>
Date: Tue, 11 Feb 2014 13:44:13 -0800
X-Google-Sender-Auth: zyAFU9zqs4zP6V4nwIs_sTlW_HU
Message-ID: <CANdFEAHaS5a_9ZKE_YGX07155rjF5m-2ZmSCT2gxQ7EjMWwALg@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
To: Ivan Kanis <ivan@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 16697
Cc: Eli Zaretskii <eliz@HIDDEN>, 16697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Tue, Feb 11, 2014 at 9:14 AM, Ivan Kanis <ivan@HIDDEN> wrote:
> February, 11 at 18:37 Eli wrote:
>> Then I wait for enough stuff to arrive that Emacs recenters, and hit
>> RET one more time.  At this point, the last line is scrolled to the
>> bottom of the window.
>
> I see it now. It worked without hitting RET before which would be ideal.

This was previously discussed at [0], including a reference[1] to the
commit that changed the behavior.

[0] http://lists.gnu.org/archive/html/bug-gnu-emacs/2012-06/msg00353.html
[1] http://git.savannah.gnu.org/cgit/emacs.git/commit/lisp/erc/erc-goodies.el?id=a1d63e03c3eda51dcec158d6027adf9dbdcfd8dd




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16697; Package emacs. Full text available.

Message received at 16697 <at> debbugs.gnu.org:


Received: (at 16697) by debbugs.gnu.org; 11 Feb 2014 17:14:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 11 12:14:54 2014
Received: from localhost ([127.0.0.1]:47720 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WDGv7-0000cU-W8
	for submit <at> debbugs.gnu.org; Tue, 11 Feb 2014 12:14:54 -0500
Received: from kanis.fr ([46.19.35.252]:38528 helo=srv2.kanis.fr)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ivan@HIDDEN>) id 1WDGv5-0000cD-GH
 for 16697 <at> debbugs.gnu.org; Tue, 11 Feb 2014 12:14:52 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=kanis.fr;
 s=alpha; 
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:Subject:Cc:To:From;
 bh=ODCtAovFevx59DgJxVBBW6tP2v4nYDWsz8Aufw2SM60=; 
 b=EIHrc0cwMPYcmJGPHz7jwEV3lUrPAAaMl/HkVA7k1dYTEfjJ80AH74zHp+WLj+qRp/TyIEH8jCACM9Zukj0BJuHwZHsq23ZSesHjfdIh7SyRs60fJOyKVZwJLEhMCrN3;
Received: from smtp.comencini.fr ([164.138.25.8])
 by smtp.comencini.fr with esmtpsa (TLS1.1:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.80.1) (envelope-from <ivan@HIDDEN>)
 id 1WDGuy-0007s4-3l; Tue, 11 Feb 2014 18:14:44 +0100
From: Ivan Kanis <ivan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN> <83iosouryz.fsf@HIDDEN>
 <87iosm1xl8.fsf@HIDDEN> <83bnyetih6.fsf@HIDDEN>
 <87fvnqc8if.fsf@HIDDEN> <834n45txk7.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAAXNSR0IArs4c6QAAAB5QTFRF
 IBkXUxMTOCwoTC4qcUY8iFxQmmper31txpaJ/v/8aKZ1oAAAAcVJREFUOMt100tu2zAQAFDCXnUZ
 oAcIqG68LZULVLQBbwuSiffm6AIRRyeotAySJoVu2+FPpJWWC3/4NKOZocSW/yxWfnJ2+Bdwzhj7
 8gleWVy7DXC2rkMNr2V/zRbghXIwthf3VbIA9Ffc71vZCSFyCEsBggtNS8ludwvfmhYA0Vn9o4DP
 zMWxR7+cPWzAYFzwM0ModtdmcDbDS6i/hT7L+RZof5yCXGrYe5jn2YO6BYMjgY+51tCIAqHgBLwR
 pwLnGuRjAKyBJkuN4yd4U92uCY1vUr2D/c5b8DuxyQwfOHUeaLqDJhnkkuGXbB56h2C1IVBdgncc
 bBi6feroa9B6jUDojnQPQKupbyXyeeCE1oT7Oqrt+SnfY3mkiyGA/3AmD3H5g32CcBx6hY8pRkwJ
 9PpcjRGobUfprFnhAa1vepwcgMOhwG+pdSgKHFU9HAvoAH6XUl7lDUCCq5Qb6GMbVm3Aj++qDYCt
 wdBc/YHgOFCmS3mjDMRcSE2qY4E3Q3PVIQRQmeodNH4QEbRUFZzW+VotzwX4yTcRTySOML1qjcE5
 hTirVqDHkMAP0PjAywp3d18JZtqzvr9zDYD+GaSKtE6Zlr/DLPNFmOcvBAAAAABJRU5ErkJggg==
X-Hashcash: 1:20:140211:eliz@HIDDEN::a3tgRg3+Un9j9Im9:000002L6Z
X-Hashcash: 1:20:140211:16697 <at> debbugs.gnu.org::KXqJjkBDST00odOS:00000000000000000000000000000000000000003C0l
Date: Tue, 11 Feb 2014 18:14:41 +0100
In-Reply-To: <834n45txk7.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 11 Feb
 2014 18:37:44 +0200")
Message-ID: <874n45k1vi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 16697
Cc: 16697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

February, 11 at 18:37 Eli wrote:

>> From: Ivan Kanis <ivan@HIDDEN>
>> Cc: 16697 <at> debbugs.gnu.org
>> Date: Tue, 11 Feb 2014 10:18:32 +0100
>> 
>> I have set scroll-conservatively to 101. Unfortunately I see ERC buffer
>> still recenters for some reason.
>
>>From "emacs -Q"?

No it wasn't. It was going back and forth between other buffers and the
ERC buffer.

> If so, please show a complete recipe, because I
> cannot reproduce this.  (Of course, you can only have the last line at
> the bottom of the window once you have enough stuff in the buffer to
> fill the window, but I assume you have accounted for that.)

Of course I account for enough line :)

>> February, 11 at 5:51 Eli wrote:
>> 
>> >> When I type RET at the prompt I get an error message saying I can't send
>> >> an empty line. It errors "Blank line - ignoring" in the echo area.
>> >> However the display does not scroll up for me.
>> >
>> > No, I meant if the last line is not at the bottom of the window,
>> > typing just RET will scroll it to the bottom, because the
>> > post-command-hook will kick in.
>> >
>> > So I guess this feature expects an improvement that would put the last
>> > line at the bottom even if no command was invoked by the user.
>> 
>> It does not do that for me. I just get the error, the ERC prompt stays
>> in the middle.
>
> Again, is that in "emacs -Q"?  If not, please try "emacs -Q".  Here's
> what I did:
>
>   emacs -Q
>   M-: (setq erc-modules '(scrolltobottom)) RET
>   M-x erc RET RET RET RET RET
>
> Then I wait for enough stuff to arrive that Emacs recenters, and hit
> RET one more time.  At this point, the last line is scrolled to the
> bottom of the window.

I see it now. It worked without hitting RET before which would be ideal.

Ivan
-- 
A little detective work revealed that, as is usually the case when you
encounter something shoddy in the vicinity of a computer, Microsoft
incompetence and gratuitous incompatibility were to blame.
    -- John Walker 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16697; Package emacs. Full text available.

Message received at 16697 <at> debbugs.gnu.org:


Received: (at 16697) by debbugs.gnu.org; 11 Feb 2014 16:38:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 11 11:38:07 2014
Received: from localhost ([127.0.0.1]:47645 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WDGLW-0006lv-Ad
	for submit <at> debbugs.gnu.org; Tue, 11 Feb 2014 11:38:06 -0500
Received: from mtaout23.012.net.il ([80.179.55.175]:56499)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WDGLT-0006lE-4J
 for 16697 <at> debbugs.gnu.org; Tue, 11 Feb 2014 11:38:04 -0500
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0N0U00900B61IQ00@HIDDEN> for 16697 <at> debbugs.gnu.org;
 Tue, 11 Feb 2014 18:37:56 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N0U009HKBJ82LA0@HIDDEN>;
 Tue, 11 Feb 2014 18:37:56 +0200 (IST)
Date: Tue, 11 Feb 2014 18:37:44 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
In-reply-to: <87fvnqc8if.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Ivan Kanis <ivan@HIDDEN>
Message-id: <834n45txk7.fsf@HIDDEN>
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN> <83iosouryz.fsf@HIDDEN>
 <87iosm1xl8.fsf@HIDDEN> <83bnyetih6.fsf@HIDDEN>
 <87fvnqc8if.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16697
Cc: 16697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Ivan Kanis <ivan@HIDDEN>
> Cc: 16697 <at> debbugs.gnu.org
> Date: Tue, 11 Feb 2014 10:18:32 +0100
> 
> I have set scroll-conservatively to 101. Unfortunately I see ERC buffer
> still recenters for some reason.

From "emacs -Q"?  If so, please show a complete recipe, because I
cannot reproduce this.  (Of course, you can only have the last line at
the bottom of the window once you have enough stuff in the buffer to
fill the window, but I assume you have accounted for that.)

> February, 11 at 5:51 Eli wrote:
> 
> >> When I type RET at the prompt I get an error message saying I can't send
> >> an empty line. It errors "Blank line - ignoring" in the echo area.
> >> However the display does not scroll up for me.
> >
> > No, I meant if the last line is not at the bottom of the window,
> > typing just RET will scroll it to the bottom, because the
> > post-command-hook will kick in.
> >
> > So I guess this feature expects an improvement that would put the last
> > line at the bottom even if no command was invoked by the user.
> 
> It does not do that for me. I just get the error, the ERC prompt stays
> in the middle.

Again, is that in "emacs -Q"?  If not, please try "emacs -Q".  Here's
what I did:

  emacs -Q
  M-: (setq erc-modules '(scrolltobottom)) RET
  M-x erc RET RET RET RET RET

Then I wait for enough stuff to arrive that Emacs recenters, and hit
RET one more time.  At this point, the last line is scrolled to the
bottom of the window.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16697; Package emacs. Full text available.

Message received at 16697 <at> debbugs.gnu.org:


Received: (at 16697) by debbugs.gnu.org; 11 Feb 2014 09:18:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 11 04:18:44 2014
Received: from localhost ([127.0.0.1]:45708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WD9UK-00035R-35
	for submit <at> debbugs.gnu.org; Tue, 11 Feb 2014 04:18:44 -0500
Received: from kanis.fr ([46.19.35.252]:38507 helo=srv2.kanis.fr)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ivan@HIDDEN>) id 1WD9UH-00035C-Gk
 for 16697 <at> debbugs.gnu.org; Tue, 11 Feb 2014 04:18:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=kanis.fr;
 s=alpha; 
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:Subject:Cc:To:From;
 bh=pQ8kWQleU6+F9QJns2Qhafd784Q9YvYJZ4A1uWQJ7ak=; 
 b=fxykb2wLD4+7s/TVkjVkUwHrqA2n7QnTmHWv9QfzEIYaUKd4S3t8aiICy624WtGA0dcezN8VqmG2cFjLP0F+Fu+he3M/qv1ilVxg1ExC4L2cI7RIm5oi49f9JhvtF6Sg;
Received: from smtp.comencini.fr ([164.138.25.8])
 by smtp.comencini.fr with esmtpsa (TLS1.1:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.80.1) (envelope-from <ivan@HIDDEN>)
 id 1WD9UA-0005mN-WE; Tue, 11 Feb 2014 10:18:35 +0100
From: Ivan Kanis <ivan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN> <83iosouryz.fsf@HIDDEN>
 <87iosm1xl8.fsf@HIDDEN> <83bnyetih6.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAAXNSR0IArs4c6QAAAB5QTFRF
 IBkXUxMTOCwoTC4qcUY8iFxQmmper31txpaJ/v/8aKZ1oAAAAcVJREFUOMt100tu2zAQAFDCXnUZ
 oAcIqG68LZULVLQBbwuSiffm6AIRRyeotAySJoVu2+FPpJWWC3/4NKOZocSW/yxWfnJ2+Bdwzhj7
 8gleWVy7DXC2rkMNr2V/zRbghXIwthf3VbIA9Ffc71vZCSFyCEsBggtNS8ludwvfmhYA0Vn9o4DP
 zMWxR7+cPWzAYFzwM0ModtdmcDbDS6i/hT7L+RZof5yCXGrYe5jn2YO6BYMjgY+51tCIAqHgBLwR
 pwLnGuRjAKyBJkuN4yd4U92uCY1vUr2D/c5b8DuxyQwfOHUeaLqDJhnkkuGXbB56h2C1IVBdgncc
 bBi6feroa9B6jUDojnQPQKupbyXyeeCE1oT7Oqrt+SnfY3mkiyGA/3AmD3H5g32CcBx6hY8pRkwJ
 9PpcjRGobUfprFnhAa1vepwcgMOhwG+pdSgKHFU9HAvoAH6XUl7lDUCCq5Qb6GMbVm3Aj++qDYCt
 wdBc/YHgOFCmS3mjDMRcSE2qY4E3Q3PVIQRQmeodNH4QEbRUFZzW+VotzwX4yTcRTySOML1qjcE5
 hTirVqDHkMAP0PjAywp3d18JZtqzvr9zDYD+GaSKtE6Zlr/DLPNFmOcvBAAAAABJRU5ErkJggg==
X-Hashcash: 1:20:140211:16697 <at> debbugs.gnu.org::kj/wX065A1Fz44Mh:00000000000000000000000000000000000000000Fwc
X-Hashcash: 1:20:140211:eliz@HIDDEN::NgAQiFnRpb9OFWMc:000000EoI
Date: Tue, 11 Feb 2014 10:18:32 +0100
In-Reply-To: <83bnyetih6.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 11 Feb
 2014 05:51:17 +0200")
Message-ID: <87fvnqc8if.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 16697
Cc: 16697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

Hi Eli,

I have set scroll-conservatively to 101. Unfortunately I see ERC buffer
still recenters for some reason.

February, 11 at 5:51 Eli wrote:

>> When I type RET at the prompt I get an error message saying I can't send
>> an empty line. It errors "Blank line - ignoring" in the echo area.
>> However the display does not scroll up for me.
>
> No, I meant if the last line is not at the bottom of the window,
> typing just RET will scroll it to the bottom, because the
> post-command-hook will kick in.
>
> So I guess this feature expects an improvement that would put the last
> line at the bottom even if no command was invoked by the user.

It does not do that for me. I just get the error, the ERC prompt stays
in the middle.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16697; Package emacs. Full text available.

Message received at 16697 <at> debbugs.gnu.org:


Received: (at 16697) by debbugs.gnu.org; 11 Feb 2014 03:51:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 10 22:51:41 2014
Received: from localhost ([127.0.0.1]:42289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WD4No-0001ne-GE
	for submit <at> debbugs.gnu.org; Mon, 10 Feb 2014 22:51:40 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:54907)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WD4Nk-0001nN-TI
 for 16697 <at> debbugs.gnu.org; Mon, 10 Feb 2014 22:51:38 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0N0T00K00B9QYZ00@HIDDEN> for 16697 <at> debbugs.gnu.org;
 Tue, 11 Feb 2014 05:51:30 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N0T00KPXC1UX350@HIDDEN>;
 Tue, 11 Feb 2014 05:51:30 +0200 (IST)
Date: Tue, 11 Feb 2014 05:51:17 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
In-reply-to: <87iosm1xl8.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Ivan Kanis <ivan@HIDDEN>
Message-id: <83bnyetih6.fsf@HIDDEN>
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN> <83iosouryz.fsf@HIDDEN>
 <87iosm1xl8.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16697
Cc: 16697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Ivan Kanis <ivan@HIDDEN>
> Cc: 16697 <at> debbugs.gnu.org
> Date: Mon, 10 Feb 2014 22:12:19 +0100
> 
> > However, now that I tried your recipe, I see that Emacs 24.3 also
> > recenters, like the current trunk.  If I then type RET at the "ERC>"
> > prompt, the display is scrolled so that the last non-empty line is
> > indeed at the bottom of the window.
> >
> > I think this is expected, given that scrolltobottom works off the
> > post-command-hook, no?
> >
> > Are you sure that Emacs 24.3 behaves differently here?  Did you
> > perhaps use in Emacs 24.3 erc that is different from the one which was
> > supplied with the release tarball?
> 
> I tested on 24.3 and 24.2 and it does recenter. I am sure this feature
> worked at some point but can't recall when. I can try further previous
> versions if you wish.

I think it "worked" when scrolltobottom used window-scroll-functions,
see bug #11697.

> When I type RET at the prompt I get an error message saying I can't send
> an empty line. It errors "Blank line - ignoring" in the echo area.
> However the display does not scroll up for me.

No, I meant if the last line is not at the bottom of the window,
typing just RET will scroll it to the bottom, because the
post-command-hook will kick in.

So I guess this feature expects an improvement that would put the last
line at the bottom even if no command was invoked by the user.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16697; Package emacs. Full text available.

Message received at 16697 <at> debbugs.gnu.org:


Received: (at 16697) by debbugs.gnu.org; 10 Feb 2014 21:12:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 10 16:12:31 2014
Received: from localhost ([127.0.0.1]:41850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WCy9W-0006Jp-LF
	for submit <at> debbugs.gnu.org; Mon, 10 Feb 2014 16:12:31 -0500
Received: from kanis.fr ([46.19.35.252]:38492 helo=srv2.kanis.fr)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ivan@HIDDEN>) id 1WCy9U-0006JW-Bs
 for 16697 <at> debbugs.gnu.org; Mon, 10 Feb 2014 16:12:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=kanis.fr;
 s=alpha; 
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:Subject:Cc:To:From;
 bh=ER/xj3fnXizeGP3eFXgfIdIdLKn5OEvPOSwsbmktUvk=; 
 b=q5LP3WP2y2GtLFajDLg/G3iWIlN9lODEgRHIgrnTCLp2829WNnaxvodurLq4eRFpbB7EM8YGzmm8cfe8Pkapm0uPlLTAytzwASdRWgfiX+QZUYJ/1pNOnog/CVN7bBKl;
Received: from smtp.comencini.fr ([164.138.25.8])
 by smtp.comencini.fr with esmtpsa (TLS1.1:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.80.1) (envelope-from <ivan@HIDDEN>)
 id 1WCy9N-0001kJ-LB; Mon, 10 Feb 2014 22:12:22 +0100
From: Ivan Kanis <ivan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN> <83iosouryz.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAAXNSR0IArs4c6QAAAB5QTFRF
 IBkXUxMTOCwoTC4qcUY8iFxQmmper31txpaJ/v/8aKZ1oAAAAcVJREFUOMt100tu2zAQAFDCXnUZ
 oAcIqG68LZULVLQBbwuSiffm6AIRRyeotAySJoVu2+FPpJWWC3/4NKOZocSW/yxWfnJ2+Bdwzhj7
 8gleWVy7DXC2rkMNr2V/zRbghXIwthf3VbIA9Ffc71vZCSFyCEsBggtNS8ludwvfmhYA0Vn9o4DP
 zMWxR7+cPWzAYFzwM0ModtdmcDbDS6i/hT7L+RZof5yCXGrYe5jn2YO6BYMjgY+51tCIAqHgBLwR
 pwLnGuRjAKyBJkuN4yd4U92uCY1vUr2D/c5b8DuxyQwfOHUeaLqDJhnkkuGXbB56h2C1IVBdgncc
 bBi6feroa9B6jUDojnQPQKupbyXyeeCE1oT7Oqrt+SnfY3mkiyGA/3AmD3H5g32CcBx6hY8pRkwJ
 9PpcjRGobUfprFnhAa1vepwcgMOhwG+pdSgKHFU9HAvoAH6XUl7lDUCCq5Qb6GMbVm3Aj++qDYCt
 wdBc/YHgOFCmS3mjDMRcSE2qY4E3Q3PVIQRQmeodNH4QEbRUFZzW+VotzwX4yTcRTySOML1qjcE5
 hTirVqDHkMAP0PjAywp3d18JZtqzvr9zDYD+GaSKtE6Zlr/DLPNFmOcvBAAAAABJRU5ErkJggg==
X-Hashcash: 1:20:140210:16697 <at> debbugs.gnu.org::ULE34DtYGPG/qzPe:00000000000000000000000000000000000000000+i3
X-Hashcash: 1:20:140210:eliz@HIDDEN::SRCXzwpnVEp7qIpA:000002RC7
Date: Mon, 10 Feb 2014 22:12:19 +0100
In-Reply-To: <83iosouryz.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 09 Feb
 2014 19:16:20 +0200")
Message-ID: <87iosm1xl8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 16697
Cc: 16697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

February, 09 at 19:16 Eli wrote:

>> From: Ivan Kanis <ivan@HIDDEN>
>> Cc: 16697 <at> debbugs.gnu.org
>> Date: Sun, 09 Feb 2014 10:44:06 +0100
>> 
>> February, 08 at 23:03 Eli wrote:
>> 
>> >> From: Ivan Kanis <ivan@HIDDEN>
>> >> Date: Sat, 08 Feb 2014 21:53:47 +0100
>> >> 
>> >> 1) emacs -Q
>> >> 2) eval (setq erc-modules '(scrolltobottom)) in *scratch*
>> >> 3) M-x erc RET RET RET
>> >> 
>> >> Wait for the window to fill up.
>> >> 
>> >> I expect the prompt to stay at the bottom as it used to in 24.3.
>> >
>> > Does it help to set scroll-conservatively to a value larger than 100?
>> 
>> Hi Eli,
>> 
>> Of course it 'works' but it's global for all buffers. After years of
>> conservative scroll set to 0 I am somewhat used to it. I have set it to
>> 101 on my configuration to see if it's nice.
>> 
>> This module did The Right Thing just for ERC buffers. It if can't be
>> fixed it should at least be removed.
>
> Sorry, I didn't mean to suggest that you should turn on
> scroll-conservatively, I just wanted to see what causes recentering.
>
> However, now that I tried your recipe, I see that Emacs 24.3 also
> recenters, like the current trunk.  If I then type RET at the "ERC>"
> prompt, the display is scrolled so that the last non-empty line is
> indeed at the bottom of the window.
>
> I think this is expected, given that scrolltobottom works off the
> post-command-hook, no?
>
> Are you sure that Emacs 24.3 behaves differently here?  Did you
> perhaps use in Emacs 24.3 erc that is different from the one which was
> supplied with the release tarball?

I tested on 24.3 and 24.2 and it does recenter. I am sure this feature
worked at some point but can't recall when. I can try further previous
versions if you wish.

When I type RET at the prompt I get an error message saying I can't send
an empty line. It errors "Blank line - ignoring" in the echo area.
However the display does not scroll up for me.
-- 
Things unattempted yet in prose or rhyme.
    -- John Milton




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16697; Package emacs. Full text available.

Message received at 16697 <at> debbugs.gnu.org:


Received: (at 16697) by debbugs.gnu.org; 9 Feb 2014 17:16:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 09 12:16:44 2014
Received: from localhost ([127.0.0.1]:60740 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WCXzn-0005bs-Mj
	for submit <at> debbugs.gnu.org; Sun, 09 Feb 2014 12:16:44 -0500
Received: from mtaout27.012.net.il ([80.179.55.183]:60944)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WCXzj-0005bh-Be
 for 16697 <at> debbugs.gnu.org; Sun, 09 Feb 2014 12:16:40 -0500
Received: from conversion-daemon.mtaout27.012.net.il by mtaout27.012.net.il
 (HyperSendmail v2007.08) id <0N0Q00N00NQSH300@HIDDEN> for
 16697 <at> debbugs.gnu.org; Sun, 09 Feb 2014 19:15:20 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout27.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N0Q00JXQNXKSE40@HIDDEN>; Sun, 09 Feb 2014 19:15:20 +0200 (IST)
Date: Sun, 09 Feb 2014 19:16:20 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
In-reply-to: <87ha88r57d.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Ivan Kanis <ivan@HIDDEN>
Message-id: <83iosouryz.fsf@HIDDEN>
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
 <87ha88r57d.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16697
Cc: 16697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Ivan Kanis <ivan@HIDDEN>
> Cc: 16697 <at> debbugs.gnu.org
> Date: Sun, 09 Feb 2014 10:44:06 +0100
> 
> February, 08 at 23:03 Eli wrote:
> 
> >> From: Ivan Kanis <ivan@HIDDEN>
> >> Date: Sat, 08 Feb 2014 21:53:47 +0100
> >> 
> >> 1) emacs -Q
> >> 2) eval (setq erc-modules '(scrolltobottom)) in *scratch*
> >> 3) M-x erc RET RET RET
> >> 
> >> Wait for the window to fill up.
> >> 
> >> I expect the prompt to stay at the bottom as it used to in 24.3.
> >
> > Does it help to set scroll-conservatively to a value larger than 100?
> 
> Hi Eli,
> 
> Of course it 'works' but it's global for all buffers. After years of
> conservative scroll set to 0 I am somewhat used to it. I have set it to
> 101 on my configuration to see if it's nice.
> 
> This module did The Right Thing just for ERC buffers. It if can't be
> fixed it should at least be removed.

Sorry, I didn't mean to suggest that you should turn on
scroll-conservatively, I just wanted to see what causes recentering.

However, now that I tried your recipe, I see that Emacs 24.3 also
recenters, like the current trunk.  If I then type RET at the "ERC>"
prompt, the display is scrolled so that the last non-empty line is
indeed at the bottom of the window.

I think this is expected, given that scrolltobottom works off the
post-command-hook, no?

Are you sure that Emacs 24.3 behaves differently here?  Did you
perhaps use in Emacs 24.3 erc that is different from the one which was
supplied with the release tarball?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16697; Package emacs. Full text available.

Message received at 16697 <at> debbugs.gnu.org:


Received: (at 16697) by debbugs.gnu.org; 9 Feb 2014 09:44:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 09 04:44:13 2014
Received: from localhost ([127.0.0.1]:59287 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WCQvt-00060A-Cr
	for submit <at> debbugs.gnu.org; Sun, 09 Feb 2014 04:44:13 -0500
Received: from kanis.fr ([46.19.35.252]:38412 helo=srv2.kanis.fr)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ivan@HIDDEN>) id 1WCQvq-000600-Hu
 for 16697 <at> debbugs.gnu.org; Sun, 09 Feb 2014 04:44:11 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=kanis.fr;
 s=alpha; 
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:Subject:Cc:To:From;
 bh=yhdgA7BIvvCZ4pLDF+PBB3Go9c4MPJJD8d9Y4NLkZYk=; 
 b=PedbqXwNxugNWqzxqn4nN2s+gkMu+zxk7uRPZ4Qw06CBDXre8UrmcLHI0TNoyPLdtgnLIPyWBsIeh/8zhP1JEUWLpotcDVtkxeEAo38mEcFJ2kE1lFzYU1nma7LPTQaC;
Received: from smtp.comencini.fr ([164.138.25.8])
 by smtp.comencini.fr with esmtpsa (TLS1.1:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.80.1) (envelope-from <ivan@HIDDEN>)
 id 1WCQvo-0000Fq-Uq; Sun, 09 Feb 2014 10:44:09 +0100
From: Ivan Kanis <ivan@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
References: <87ha892un8.fsf@HIDDEN> <83wqh5uxjj.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAAXNSR0IArs4c6QAAAB5QTFRF
 IBkXUxMTOCwoTC4qcUY8iFxQmmper31txpaJ/v/8aKZ1oAAAAcVJREFUOMt100tu2zAQAFDCXnUZ
 oAcIqG68LZULVLQBbwuSiffm6AIRRyeotAySJoVu2+FPpJWWC3/4NKOZocSW/yxWfnJ2+Bdwzhj7
 8gleWVy7DXC2rkMNr2V/zRbghXIwthf3VbIA9Ffc71vZCSFyCEsBggtNS8ludwvfmhYA0Vn9o4DP
 zMWxR7+cPWzAYFzwM0ModtdmcDbDS6i/hT7L+RZof5yCXGrYe5jn2YO6BYMjgY+51tCIAqHgBLwR
 pwLnGuRjAKyBJkuN4yd4U92uCY1vUr2D/c5b8DuxyQwfOHUeaLqDJhnkkuGXbB56h2C1IVBdgncc
 bBi6feroa9B6jUDojnQPQKupbyXyeeCE1oT7Oqrt+SnfY3mkiyGA/3AmD3H5g32CcBx6hY8pRkwJ
 9PpcjRGobUfprFnhAa1vepwcgMOhwG+pdSgKHFU9HAvoAH6XUl7lDUCCq5Qb6GMbVm3Aj++qDYCt
 wdBc/YHgOFCmS3mjDMRcSE2qY4E3Q3PVIQRQmeodNH4QEbRUFZzW+VotzwX4yTcRTySOML1qjcE5
 hTirVqDHkMAP0PjAywp3d18JZtqzvr9zDYD+GaSKtE6Zlr/DLPNFmOcvBAAAAABJRU5ErkJggg==
X-Hashcash: 1:20:140209:16697 <at> debbugs.gnu.org::bl/zqwP407kchRVf:00000000000000000000000000000000000000001iiL
X-Hashcash: 1:20:140209:eliz@HIDDEN::5vYXeMyK/wkr6Jvc:000004Tma
Date: Sun, 09 Feb 2014 10:44:06 +0100
In-Reply-To: <83wqh5uxjj.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 08 Feb
 2014 23:03:44 +0200")
Message-ID: <87ha88r57d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 16697
Cc: 16697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

February, 08 at 23:03 Eli wrote:

>> From: Ivan Kanis <ivan@HIDDEN>
>> Date: Sat, 08 Feb 2014 21:53:47 +0100
>> 
>> 1) emacs -Q
>> 2) eval (setq erc-modules '(scrolltobottom)) in *scratch*
>> 3) M-x erc RET RET RET
>> 
>> Wait for the window to fill up.
>> 
>> I expect the prompt to stay at the bottom as it used to in 24.3.
>
> Does it help to set scroll-conservatively to a value larger than 100?

Hi Eli,

Of course it 'works' but it's global for all buffers. After years of
conservative scroll set to 0 I am somewhat used to it. I have set it to
101 on my configuration to see if it's nice.

This module did The Right Thing just for ERC buffers. It if can't be
fixed it should at least be removed.

Ivan
-- 
Bad user karma.
    -- BOFH excuse #7




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16697; Package emacs. Full text available.

Message received at 16697 <at> debbugs.gnu.org:


Received: (at 16697) by debbugs.gnu.org; 8 Feb 2014 21:03:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 08 16:03:59 2014
Received: from localhost ([127.0.0.1]:58269 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WCF4A-0005Xa-Do
	for submit <at> debbugs.gnu.org; Sat, 08 Feb 2014 16:03:58 -0500
Received: from mtaout27.012.net.il ([80.179.55.183]:47011)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WCF47-0005XP-Vi
 for 16697 <at> debbugs.gnu.org; Sat, 08 Feb 2014 16:03:56 -0500
Received: from conversion-daemon.mtaout27.012.net.il by mtaout27.012.net.il
 (HyperSendmail v2007.08) id <0N0P008003DW0200@HIDDEN> for
 16697 <at> debbugs.gnu.org; Sat, 08 Feb 2014 23:02:39 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout27.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N0P003AJ3SE5B60@HIDDEN>; Sat, 08 Feb 2014 23:02:39 +0200 (IST)
Date: Sat, 08 Feb 2014 23:03:44 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#16697: 24.3.50;
 ERC scrolltobottom module does not work anymore
In-reply-to: <87ha892un8.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Ivan Kanis <ivan@HIDDEN>
Message-id: <83wqh5uxjj.fsf@HIDDEN>
References: <87ha892un8.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 16697
Cc: 16697 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Ivan Kanis <ivan@HIDDEN>
> Date: Sat, 08 Feb 2014 21:53:47 +0100
> 
> 1) emacs -Q
> 2) eval (setq erc-modules '(scrolltobottom)) in *scratch*
> 3) M-x erc RET RET RET
> 
> Wait for the window to fill up.
> 
> I expect the prompt to stay at the bottom as it used to in 24.3.

Does it help to set scroll-conservatively to a value larger than 100?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16697; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Feb 2014 20:54:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 08 15:54:20 2014
Received: from localhost ([127.0.0.1]:58256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WCEup-0005H1-KE
	for submit <at> debbugs.gnu.org; Sat, 08 Feb 2014 15:54:20 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58404)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ivan@HIDDEN>) id 1WCEum-0005Gq-8r
 for submit <at> debbugs.gnu.org; Sat, 08 Feb 2014 15:54:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ivan@HIDDEN>) id 1WCEug-0001Cr-3p
 for submit <at> debbugs.gnu.org; Sat, 08 Feb 2014 15:54:15 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=AC_HTML_NONSENSE_TAGS, BAYES_50,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56010)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ivan@HIDDEN>) id 1WCEug-0001Cn-0x
 for submit <at> debbugs.gnu.org; Sat, 08 Feb 2014 15:54:10 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60100)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ivan@HIDDEN>) id 1WCEua-0001ty-Ga
 for bug-gnu-emacs@HIDDEN; Sat, 08 Feb 2014 15:54:09 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ivan@HIDDEN>) id 1WCEuV-0001AM-4g
 for bug-gnu-emacs@HIDDEN; Sat, 08 Feb 2014 15:54:04 -0500
Received: from kanis.fr ([46.19.35.252]:35045 helo=srv2.kanis.fr)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ivan@HIDDEN>) id 1WCEuU-00019y-RW
 for bug-gnu-emacs@HIDDEN; Sat, 08 Feb 2014 15:53:59 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=kanis.fr;
 s=alpha; 
 h=Content-Type:MIME-Version:Message-ID:Date:Subject:To:From;
 bh=O1EfQgFTSeZa5+Th3yBpYAQwG6TwkRFM+aFuKsVO+Vw=; 
 b=bXRgnNfkXMT7pwy+BYb9PXFO+vWlAb+EuW2YDcByCyoqy9tnGGTVnRPSzbw1/r25YRA/RADw4ZbQmmayItp10KCUu2jxngL1NexzlgxHBeZRSOMnYOXKAfBzA/MJKQ5G;
Received: from smtp.comencini.fr ([164.138.25.8])
 by smtp.comencini.fr with esmtpsa (TLS1.1:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.80.1) (envelope-from <ivan@HIDDEN>) id 1WCEuM-0001ha-Lw
 for bug-gnu-emacs@HIDDEN; Sat, 08 Feb 2014 21:53:51 +0100
From: Ivan Kanis <ivan@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; ERC scrolltobottom module does not work anymore
X-Hashcash: 1:20:140208:bug-gnu-emacs@HIDDEN::eFmbmgVC5Of7FxRA:00000000000000000000000000000000000000000ATg
Date: Sat, 08 Feb 2014 21:53:47 +0100
Message-ID: <87ha892un8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

1) emacs -Q
2) eval (setq erc-modules '(scrolltobottom)) in *scratch*
3) M-x erc RET RET RET

Wait for the window to fill up.

I expect the prompt to stay at the bottom as it used to in 24.3.


In GNU Emacs 24.3.50.1 (i686-pc-linux-gnu, GTK+ Version 2.24.20)
 of 2014-02-08 on tao.kanis.fr
Repository revision: 116348 michael.albinus@HIDDEN
Windowing system distributor `The X.Org Foundation', version 11.0.11403000
System Description:	Ubuntu 13.10

Configured using:
 `configure --prefix=/home/ivan/emacs-bzr --without-compress-install
 'CFLAGS=-g -DSYSTEM_PURESIZE_EXTRA=1000000''

Important settings:
  value of $LANG: en_US.UTF8
  locale-coding-system: utf-8-unix

Major mode: ERC

Minor modes in effect:
  erc-scrolltobottom-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-y H-i H-i H-i H-i H-i H-i H-i H-i H-i H-i <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> ( s e t q SPC C-e <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> C-k C-k C-k C-k C-k C-k C-k 
C-k C-k C-k C-k C-k C-k C-k C-k C-k C-k C-k C-k H-SPC 
M-SPC M-SPC <backspace> C-e ) ) C-x C-e M-x e r i c 
<return> <backspace> <backspace> c <return> <return> 
<return> <return> <return> / n i c <backspace> <backspace> 
<backspace> <backspace> M-k M-k C-x k <return> y e 
s <return> M-x e r c <return> <return> <return> 6 6 
6 <return> <return> / j SPC # e m a c s <return> C-x 
b # e m a c s <return> M-x r e p o <tab> C-g C-h v 
e m a c s m <backspace> - m o <tab> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> e r 
c - m o <tab> d <tab> l <backspace> u l e s <return> 
M-x r e p o r t - e m <tab> <return>

Recent messages:
Logging in without password
forward-sentence: End of buffer [2 times]
Connecting to irc.freenode.net:6667... ...done
Logging in as 'ivan666'...
Logging in without password
Logging in as 'ivan666'... done
Making completion list...
Quit
Making completion list... [2 times]
Type C-x 1 to delete the help window.

Load-path shadows:
None found.

Features:
(shadow sort hashcash mail-extr emacsbug message rfc822 mml mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mail-utils help-mode
easymenu mule-util network-stream starttls tls erc-goodies erc
erc-backend erc-compat format-spec auth-source eieio byte-opt bytecomp
byte-compile cconv eieio-core gnus-util mm-util help-fns mail-prsvr
password-cache thingatpt pp time-date tooltip electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)





Acknowledgement sent to Ivan Kanis <ivan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16697; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 4 Feb 2016 06:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.